[Android] [PATCH 1/3] Add option to only build native libs
Geoffrey Métais
geoffrey.metais at gmail.com
Thu Nov 13 17:20:16 CET 2014
---
compile.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/compile.sh b/compile.sh
index ce71597..a6c2b6c 100755
--- a/compile.sh
+++ b/compile.sh
@@ -29,6 +29,7 @@ BUILD=0
FETCH=0
RELEASE=0
JNI=0
+MAKE_APK=true
for i in ${@}; do
case "$i" in
@@ -44,6 +45,9 @@ for i in ${@}; do
jni|--jni)
JNI=1
;;
+ --noapk)
+ MAKE_APK=false
+ ;;
*)
;;
esac
@@ -70,7 +74,9 @@ if [ `set -- ${ANDROID_ABI}; echo $#` -gt 1 ]; then
cp -r obj/$i vlc-android/libs/
rm -rf obj/$i
done
- make -b -j1 RELEASE=$RELEASE apk ||Â exit 1
+ if $MAKE_APK;then
+ make -b -j1 RELEASE=$RELEASE apk ||Â exit 1
+ fi
exit 0
fi
--
1.9.1
More information about the Android
mailing list